%define	name	ghemical
%define	version	1.01
%define	release	2mdk

Summary:	Molecular mechanics and quantum mechanics frontend for GNOME.
Name:		%{name}
Version:	%{version}
Release:	%{release}
License:	GPL
Group:		Sciences/Chemistry
Source0:	%{name}-%{version}.tar.bz2
Patch0:     ghemical-1.01-gcc34.patch.bz2    
URL:		http://www.uku.fi/~thassine/ghemical/
Buildroot:	%{_tmppath}/%{name}-%{version}-%{release}-buildroot
BuildRequires:	gtkglarea-devel MesaGLU-devel Mesa-common-devel
Buildrequires:	libSC-devel gnome-libs-devel libglade-devel
BuildRequires:	f2c
Source11:	%{name}-16x16.png
Source12:	%{name}-32x32.png
Source13:	%{name}-48x48.png

%description
Ghemical is a computational chemistry software package released under the 
GNU GPL.
Ghemical is written in C++. It has a graphical user interface (in fact, 
a couple of them), and it supports both quantum-mechanics (semi-empirical 
and ab initio) models and molecular mechanics models (there is an experimental
Tripos 5.2-like force field for organic molecules). Also a tool for reduced 
protein models is included. Geometry optimization, molecular dynamics
and a large set of visualization tools are currently available.

%prep
%setup -q
%patch0 -p0

%build
%configure --enable-mpqc
%make

%install
rm -rf $RPM_BUILD_ROOT
make install gnome_help=$RPM_BUILD_ROOT%{_datadir}/gnome/help/%{name}/C prefix=$RPM_BUILD_ROOT%{_prefix}} exec_prefix=$RPM_BUILD_ROOT%{_prefix} data_dest=$RPM_BUILD_ROOT%{_datadir}/%{name} bindir=$RPM_BUILD_ROOT%{_bindir}

# Mandrake Menu
install -d $RPM_BUILD_ROOT/%{_menudir}
install -d $RPM_BUILD_ROOT/%{_iconsdir}
cat << EOF > $RPM_BUILD_ROOT%{_menudir}/%{name}
?package(ghemical): \
	command="%{name}" \
	icon="%{name}.png" \
	needs="text" \
	section="Applications/Sciences/Chemistry" \
	title="Ghemical" \
	longtitle="GNOME MM/QM Frontend"
EOF
install -m644 %{SOURCE11} -D $RPM_BUILD_ROOT%{_miconsdir}/%{name}.png
install -m644 %{SOURCE12} -D $RPM_BUILD_ROOT%{_iconsdir}/%{name}.png
install -m644 %{SOURCE13} -D $RPM_BUILD_ROOT%{_liconsdir}/%{name}.png

%post
%{update_menus}

%postun
%{clean_menus}

%clean
rm -rf $RPM_BUILD_ROOT

%files
%defattr(-,root,root)
%doc AUTHORS BUGLIST CHANGES COPYING PROJECT TODO
%doc %{_datadir}/gnome/help/%{name}
%{_bindir}/%name
%{_datadir}/%name
%{_miconsdir}/%{name}.png
%{_iconsdir}/%{name}.png
%{_liconsdir}/%{name}.png
%{_menudir}/%{name}

%changelog
* Tue Jun 29 2004 Thierry Vignaud <tvignaud@mandrakesoft.com> 1.01-2mdk
- rebuild for new g++
- patch 0: fix compiling with new g++

* Sun Jan 04 2004 Per yvind Karlsen <peroyvind@linux-mandrake.com> 1.01-1mdk
- 1.01
- drop explicit library dependencies
- fix buildrequires (lib64..)
- fix icons
- rm -rf $RPM_BUILD_ROOT in %%install, not %%prep
- macroize
- cleanups

* Wed Apr 30 2003 Lenny Cartier <lenny@mandrakesoft.com> 1.00-3mdk
- buildrequires

* Sun Feb 02 2003 Lenny Cartier <lenny@mandrakesoft.com> 1.00-2mdk
- rebuild

* Thu Dec 05 2002 Lenny Cartier <lenny@mandrakesoft.com> 1.00-1mdk
- from Austin Acton <aacton@yorku.ca> :
	- use make install
	- link with mpqc
	- 1.00 for MDK 9.0+

* Sun Jul 28 2002 Austin Acton <aacton@yorku.ca> 0.90-2mdk
- remove requires GL, GLU

* Tue Jul 16 2002 Austin Acton <aacton@yorku.ca> 0.90-1mdk
- stole specfile from RedHat SRPM
- inital package creation for MDK 8.2
